Skip to main content
PUT
Update post

Authorizations

Authorization
string
header
required

Personal access token, sent as Authorization: Bearer <token>.

Path Parameters

post
string
required

The post UUID

Body

application/json
content
string | null
Maximum string length: 10000
Maximum string length: 250
status
enum<string>
Available options:
waiting,
draft,
needs_approval
publish_type
enum<string>

Change how the post publishes: queue_using_timeslots, schedule_using_fixed_datetime, now

Available options:
queue_using_timeslots,
schedule_using_fixed_datetime,
now
scheduled_for
string<date-time> | null

New publish time (ISO 8601; explicit offset wins, else timezone, else UTC). Applies when publish_type is schedule_using_fixed_datetime.

timezone
string

IANA timezone used to interpret a bare scheduled_for datetime (default UTC)

queue_side
enum<string>

Queue placement when changing publish_type to queue_using_timeslots

Available options:
top,
bottom
platform_content
string[]
publication_method
enum<string> | null
Available options:
auto,
notification
media_ids
string<uuid>[]
labels
string[]
Maximum string length: 250
preview
object
comments
object[]

Response

PostResource

data
PostResource · object
required
message
string
required